<div class="container-fluid" nz-col nzSpan="24">
  <div class="form-modal">
    <div nz-row class="form-row">
      <div nz-col nzSm='13' nzLg='8' class="form-row__left">
        <input nz-input class="form-row__input" type="text" placeholder="{{ 'common.label.search' | translate }}" [(ngModel)]="textFilter"
          (keyup.enter)="search()"/>
        <mb-button class="function-modal-center" mbButtonType="NO_BORDER" mbButtonSize="VERY_LARGE" (click)="search()" mbButtonAvailableStyle="PRIMARY"
          mbPrefixIcon="search" nzTooltipTitle="{{'common.label.search' | translate}}" nzTooltipPlacement="bottom" nz-tooltip></mb-button>
      </div>
    </div>
  </div>
</div>

<div class="data-table-assessment" oncontextmenu="return false;">
  <nz-table #basicTable [nzData]="listOfMap" [nzLoading]="isLoading" [nzShowPagination]="false" [nzScroll]="{ y: '470px' }"
            nzTableLayout="fixed" [nzPageSize]="listOfMap.length" nzSize='small'>
    <thead>
      <tr class='table-header'>
        <th scope="col" class="text-nowrap text-center"  >{{'system.resource.label.table.code' | translate}}</th>
        <th scope="col" class="text-nowrap text-center" nzWidth="25%" >{{'system.resource.label.table.name' | translate}}</th>
        <th scope="col" class="text-nowrap text-center" nzWidth="30%" >{{'system.resource.label.table.app' | translate}}</th>
      </tr>
    </thead>
    <tbody>
      <ng-container *ngFor="let data of basicTable.data">
        <ng-container *ngFor="let item of mapOfExpanded[data.key]">
          <tr class="tr-for-class" *ngIf="(item.parent && item.parent.expand) || !item.parent" [class.activeRow]="functionId == item.id" (click)="selectedItem(item)" (dblclick)="selectedAndChoose(item)">
            <td [nzIndentSize]="item.level! * 20" [(nzExpand)]="item.expand"
              (nzExpandChange)="collapses(mapOfExpanded[data.key], item, $event)">
              {{ item.code }}
            </td>
            <td>{{ item.name }}</td>
            <td>{{ generateAppName(item.type) }}</td>
          </tr>
        </ng-container>
      </ng-container>
    </tbody>
  </nz-table>
</div>
